/*
 * GnomeSword Bible Study Tool
 * module_manager.hh
 * 
 * Copyright (C) 2000,2001,2002 GnomeSword Developer Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MODULE_MANAGER_HH__
#define __MODULE_MANAGER_HH__

//#include <defs.h>
//#include <swbuf.h>
//#include <map>
//#include <set>
#include <swmgr.h>
#include <swmodule.h>
#include <installmgr.h>
#include <filemgr.h>

//#ifdef USE_SWORD_SVN
#include <ftptrans.h>
//#endif

using namespace std;
using namespace sword;

class GSStatusReporter : public StatusReporter {
	virtual void statusUpdate(double dltotal, double dlnow);
	virtual void preStatus(long totalBytes, long completedBytes, const char *message);
};

class ModuleManager {	
	SWMgr *mgr;
	SWMgr *list_mgr;
	InstallMgr *installMgr;
	ModMap::iterator it;
	ModMap::iterator end;
	GSStatusReporter *statusReporter;
	SWBuf baseDir;
public:	
	ModuleManager();
	~ModuleManager();
	void init_ModuleManager(void);	
	
};


#ifdef __cplusplus
extern "C" {
#endif
#include "main/mod_mgr.h"

char *backend_mod_mgr_get_config_entry(char * module_name, char * entry);
void backend_mod_mgr_init_language_map(void);
const char *backend_mod_mgr_get_language_map(const char *language);
char *backend_module_mgr_get_path_to_mods(void);
MOD_MGR *backend_module_mgr_get_next_module(void);
GList *backend_module_mgr_list_remote_sources(void);
GList *backend_module_mgr_list_local_sources(void);
void backend_module_mgr_list_local_modules_init();
int backend_local_install_module(const char *dir, const char *mod_name);	
int backend_remote_install_module(const char *source_name, const char *mod_name);
int backend_uninstall_module(const char *dir, const char *mod_name);
void backend_module_mgr_remote_list_modules_init(const char *source_name);
int backend_module_mgr_refresh_remote_source(const char *source_name);
void backend_init_module_mgr(const char *dir);
void backend_shut_down_module_mgr(void);
void backend_terminate_module_mgr(void);
void backend_init_module_mgr_config(void);
void backend_module_mgr_clear_config(void);	
void backend_module_mgr_add_source(const char * vtype, 
				   const char * type, 
				   const char * caption, 
				   const char * source, 
				   const char * directory);

#ifdef __cplusplus
}
#endif

#endif
